"//Net trace script\n"
"'use strict';\n"
"function setDirection(elem, iChar, iBit)\n"
"{\n"
"    elem.setAttribute('dir', Ajax.hexToBit(Ajax.response.charAt(iChar), iBit) ? 'rtl' : 'ltr');\n"
"}\n"
"function display()\n"
"{\n"
"   var elem;\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dns-ip4'     ); if (elem) setDirection(elem,  0, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ntp-ip4'     ); if (elem) setDirection(elem,  0, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-tftp-ip4'    ); if (elem) setDirection(elem,  0, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-net-host'    ); if (elem) elem.value = Ajax.response.substr( 1, 4);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-net-stack'   ); if (elem) setDirection(elem,  5, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-net-newline' ); if (elem) setDirection(elem,  5, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-net-verbose' ); if (elem) setDirection(elem,  5, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-link'        ); if (elem) setDirection(elem,  5, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dns-name'    ); if (elem) setDirection(elem,  6, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dns-query'   ); if (elem) setDirection(elem,  6, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dns-reply'   ); if (elem) setDirection(elem,  6, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dns-server'  ); if (elem) setDirection(elem,  6, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ntp'         ); if (elem) setDirection(elem,  7, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dhcp'        ); if (elem) setDirection(elem,  7, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ns-recv-sol' ); if (elem) setDirection(elem,  7, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ns-recv-adv' ); if (elem) setDirection(elem,  7, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ns-send-sol' ); if (elem) setDirection(elem,  8, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-nr4'         ); if (elem) setDirection(elem,  8, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-nr6'         ); if (elem) setDirection(elem,  8, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ntp-client'  ); if (elem) setDirection(elem,  8, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-echo4'       ); if (elem) setDirection(elem,  9, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-echo6'       ); if (elem) setDirection(elem,  9, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-dest6'       ); if (elem) setDirection(elem, 10, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ra'          ); if (elem) setDirection(elem, 10, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-rs'          ); if (elem) setDirection(elem, 10, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ar4'         ); if (elem) setDirection(elem, 10, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ar6'         ); if (elem) setDirection(elem, 11, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-arp'         ); if (elem) setDirection(elem, 11, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ip4'         ); if (elem) setDirection(elem, 11, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-ip6'         ); if (elem) setDirection(elem, 11, 3);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-udp'         ); if (elem) setDirection(elem, 12, 0);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-tcp'         ); if (elem) setDirection(elem, 12, 1);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-http'        ); if (elem) setDirection(elem, 12, 2);\n"
"   elem = Ajax.getElementOrNull('ajax-trace-tftp'        ); if (elem) setDirection(elem, 12, 3);\n"
"}\n"
"\n"
"Ajax.server     = '/trace-ajax';\n"
"Ajax.onResponse = display;\n"
"Ajax.init();"